Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
NodeRefCountObj< Base > Class Template Reference

This works like RefCountObj, but it inherits from NodeReferenceCount instead of ReferenceCount. More...

`#include "nodeReferenceCount.h"`

Inheritance diagram for NodeRefCountObj< Base >:

## Public Member Functions
| NodeRefCountObj (const Base &copy)
Public Member Functions inherited from NodeReferenceCount
int | get_node_ref_count () const
| Returns the current reference count.
void | node_ref () const
| Explicitly increments the node reference count and the normal reference count simultaneously.
bool | node_unref () const
| Explicitly decrements the node reference count and the normal reference count simultaneously.
void | node_unref_only () const
| Decrements the node reference count without affecting the normal reference count.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from NodeReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

template<class Base>
class NodeRefCountObj< Base >

This works like RefCountObj, but it inherits from NodeReferenceCount instead of ReferenceCount.

Definition at line 76 of file nodeReferenceCount.h.

## Constructor & Destructor Documentation

## ◆ NodeRefCountObj() [1/2]

template<class Base>

NodeRefCountObj< Base >::NodeRefCountObj | ( |  | ) |
| inline

Definition at line 197 of file nodeReferenceCount.I.

## ◆ NodeRefCountObj() [2/2]

template<class Base>

NodeRefCountObj< Base >::NodeRefCountObj | ( | const Base & | copy | ) |
| inline

Definition at line 205 of file nodeReferenceCount.I.

## Member Function Documentation

## ◆ get_class_type()

template<class Base>

static TypeHandle NodeRefCountObj< Base >::get_class_type | ( |  | ) |
| inline static

Definition at line 82 of file nodeReferenceCount.h.

## ◆ init_type()

template<class Base>

void NodeRefCountObj< Base >::init_type | ( |  | ) |
| static

Definition at line 214 of file nodeReferenceCount.I.

The documentation for this class was generated from the following files:

- panda/src/express/nodeReferenceCount.h
- panda/src/express/nodeReferenceCount.I